Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class Node

    java.lang.Object
      com.bea.tree.TreeNode
          com.bea.treeutils.PrunableTreeNode
              com.bea.jsptools.portal.Node

public class Node
extends com.bea.treeutils.PrunableTreeNode

Field Summary
`static String` | `GROUP_MGR_REF`
`static String` | `USER_MGR_REF`

Fields inherited from class com.bea.tree.TreeNode
`nodePath, parent, VAR_NAME_CONSTANT, VAR_NAME_INCREMENT`

Constructor Summary
`Node(String id)`
`Node(String id, Locale locale)`

Method Summary
`static String` | `escapeQuotes(String source)` Escape quotes from the passed parameter
`List` | `findLineage(int pstmt)` Find the lineage of the node in the hierarchy.
`static void` | `getChildren(String webAppName, com.bea.treeutils.PrunableTreeNode parentNode, String groupName, int nextAvailId, String language, HttpServletRequest request, com.bea.tree.TreeStateManager treeStateManager, int pageSize, boolean expandAllLibraryNodes, com.bea.treeutils.NodePruner np)` Retrieve all the children for the node.
`static BookDefinition[]` | `getCurrentPaginatedBookDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String nodeModifier, boolean checkDA, String webAppName, String portalPath, String desktopPath, HttpServletRequest request)`
`static LayoutDefinition[]` | `getCurrentPaginatedLayoutDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String webAppName, HttpServletRequest request)`
`static LookAndFeelDefinition[]` | `getCurrentPaginatedLookAndFeelDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String webAppName, HttpServletRequest request)`
`static MenuDefinition[]` | `getCurrentPaginatedMenuDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String webAppName, HttpServletRequest request)`
`static PageDefinition[]` | `getCurrentPaginatedPageDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String nodeModifier, boolean checkDA, String webAppName, String portalPath, String desktopPath, HttpServletRequest request)`
`static PortletDefinition[]` | `getCurrentPaginatedPortletDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String nodeModifier, boolean checkDA, String webAppName, HttpServletRequest request)`
`static ShellDefinition[]` | `getCurrentPaginatedShellDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String webAppName, HttpServletRequest request)`
`static ThemeDefinition[]` | `getCurrentPaginatedThemeDefinitions(com.bea.tree.TreeStateManager treeStateManager, int pageSize, String nodePath, String webAppName, HttpServletRequest request)`
`String` | `getDesktopPath()`
`String` | `getGroupName()`
`String` | `getLabel()` Returns the unique Label for a portal resource definition
`String` | `getLabelTwo()` Returns a second Label for a portal resource definition (for portlet instances where both the instance label and the definition label are needed for entitlement checks)
`String` | `getNodeType()`
`long` | `getPortalDefinitionId()`
`String` | `getPortalPath()`
`int` | `getSchemaId()` Returns the schemaId.
`String` | `getSchemaName()` Returns the schemaName.
`String` | `getWebAppName()`
`void` | `setDesktopPath(String path)`
`void` | `setDisplayName(String displayName)` Sets the displayed name of the TreeNode.
`void` | `setGroupName(String groupName)`
`void` | `setLabel(String label)`
`void` | `setLabelTwo(String labelTwo)`
`void` | `setNodeType(String nodeType)`
`void` | `setPortalDefinitionId(long id)`
`void` | `setPortalPath(String path)`
`void` | `setSchemaId(int schemaId)` Sets the schemaId.
`void` | `setSchemaName(String schemaName)` Sets the schemaName.
`void` | `setWebAppName(String name)`
`String` | `toString()`
`static String` | `unescapeQuotes(String source)` Remove the unicode characters from the string and replace them with real quotes

Methods inherited from class com.bea.treeutils.PrunableTreeNode
`checkEnabled, checkEnabled, checkEnabled, getJavascriptDefinition, isAdminRole, isEnabled, isRootDARole, isVisible, setEnabled, setVisible`

Methods inherited from class com.bea.tree.TreeNode
`addChild, addChild, addChild, addChild, addProperty, equals, getChildren, getData, getDisplayName, getIconSrcClosed, getIconSrcOpen, getName, getNodePath, getPageRangeBegin, getPageSize, getPaginatedNodeChildCount, getParent, getPathDelimeter, getPopup, getPopupText, getPreSubmitScript, getProperty, getSubmitFormName, getTree, getUrl, getUrlTargetName, getVarName, hasChildren, htmlChars, isExpanded, isPaginated, setData, setExpanded, setHasChildren, setIconSrcClosed, setIconSrcOpen, setName, setPageRangeBegin, setPageSize, setPaginated, setPaginatedNodeChildCount, setPathDelimeter, setPopup, setPopupText, setPreSubmitScript, setSubmitFormName, setTree, setUrl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GROUP_MGR_REF

    public static final String GROUP_MGR_REF

See Also:
  Constant Field Values

### USER_MGR_REF

    public static final String USER_MGR_REF

See Also:
  Constant Field Values

Constructor Detail

### Node

    public Node(String id)

### Node

    public Node(String id,
                Locale locale)

Method Detail

### escapeQuotes

    public static String escapeQuotes(String source)

  Escape quotes from the passed parameter

  Returns:
    String

### findLineage

    public List findLineage(int pstmt)

  Find the lineage of the node in the hierarchy.

  Parameters:
    `pstmt` - query statement which is to be executed to get the lineage
  Returns:
    a List of parent nodes of the passed in node

### getChildren

    public static void getChildren(String webAppName,
                                   com.bea.treeutils.PrunableTreeNode parentNode,
                                   String groupName,
                                   int nextAvailId,
                                   String language,
                                   HttpServletRequest request,
                                   com.bea.tree.TreeStateManager treeStateManager,
                                   int pageSize,
                                   boolean expandAllLibraryNodes,
                                   com.bea.treeutils.NodePruner np)
                            throws JspException

  Retrieve all the children for the node. Return the children as a List of node Objects

  Throws:
    `JspException`

### getCurrentPaginatedBookDefinitions

    public static BookDefinition[] getCurrentPaginatedBookDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                      int pageSize,
                                                                      String nodePath,
                                                                      String nodeModifier,
                                                                      boolean checkDA,
                                                                      String webAppName,
                                                                      String portalPath,
                                                                      String desktopPath,
                                                                      HttpServletRequest request)
                                                               throws Exception

  Throws:
    `Exception`

### getCurrentPaginatedLayoutDefinitions

    public static LayoutDefinition[] getCurrentPaginatedLayoutDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                          int pageSize,
                                                                          String nodePath,
                                                                          String webAppName,
                                                                          HttpServletRequest request)
                                                                   throws Exception

  Throws:
    `Exception`

### getCurrentPaginatedLookAndFeelDefinitions

    public static LookAndFeelDefinition[] getCurrentPaginatedLookAndFeelDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                                    int pageSize,
                                                                                    String nodePath,
                                                                                    String webAppName,
                                                                                    HttpServletRequest request)
                                                                             throws Exception

  Throws:
    `Exception`

### getCurrentPaginatedMenuDefinitions

    public static MenuDefinition[] getCurrentPaginatedMenuDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                      int pageSize,
                                                                      String nodePath,
                                                                      String webAppName,
                                                                      HttpServletRequest request)
                                                               throws Exception

  Throws:
    `Exception`

### getCurrentPaginatedPageDefinitions

    public static PageDefinition[] getCurrentPaginatedPageDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                      int pageSize,
                                                                      String nodePath,
                                                                      String nodeModifier,
                                                                      boolean checkDA,
                                                                      String webAppName,
                                                                      String portalPath,
                                                                      String desktopPath,
                                                                      HttpServletRequest request)
                                                               throws Exception

  Throws:
    `Exception`

### getCurrentPaginatedPortletDefinitions

    public static PortletDefinition[] getCurrentPaginatedPortletDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                            int pageSize,
                                                                            String nodePath,
                                                                            String nodeModifier,
                                                                            boolean checkDA,
                                                                            String webAppName,
                                                                            HttpServletRequest request)
                                                                     throws Exception

  Throws:
    `Exception`

### getCurrentPaginatedShellDefinitions

    public static ShellDefinition[] getCurrentPaginatedShellDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                        int pageSize,
                                                                        String nodePath,
                                                                        String webAppName,
                                                                        HttpServletRequest request)
                                                                 throws Exception

  Throws:
    `Exception`

### getCurrentPaginatedThemeDefinitions

    public static ThemeDefinition[] getCurrentPaginatedThemeDefinitions(com.bea.tree.TreeStateManager treeStateManager,
                                                                        int pageSize,
                                                                        String nodePath,
                                                                        String webAppName,
                                                                        HttpServletRequest request)
                                                                 throws Exception

  Throws:
    `Exception`

### getDesktopPath

    public String getDesktopPath()

### getGroupName

    public String getGroupName()

### getLabel

    public String getLabel()

  Returns the unique Label for a portal resource definition

  Returns:
    String

### getLabelTwo

    public String getLabelTwo()

  Returns a second Label for a portal resource definition (for portlet instances where both the instance label and the definition label are needed for entitlement checks)

  Returns:
    String

### getNodeType

    public String getNodeType()

### getPortalDefinitionId

    public long getPortalDefinitionId()

### getPortalPath

    public String getPortalPath()

### getSchemaId

    public int getSchemaId()

  Returns the schemaId.

  Returns:
    int

### getSchemaName

    public String getSchemaName()

  Returns the schemaName.

  Returns:
    String

### getWebAppName

    public String getWebAppName()

### setDesktopPath

    public void setDesktopPath(String path)

### setDisplayName

    public void setDisplayName(String displayName)

  Description copied from class: `com.bea.tree.TreeNode`
  Sets the displayed name of the TreeNode. If not set, the node will be displayed with the original name

  Parameters:
    `displayName` - The displayed name of the tree node.

### setGroupName

    public void setGroupName(String groupName)

### setLabel

    public void setLabel(String label)

### setLabelTwo

    public void setLabelTwo(String labelTwo)

### setNodeType

    public void setNodeType(String nodeType)

### setPortalDefinitionId

    public void setPortalDefinitionId(long id)

### setPortalPath

    public void setPortalPath(String path)

### setSchemaId

    public void setSchemaId(int schemaId)

  Sets the schemaId.

  Parameters:
    `schemaId` - The schemaId to set

### setSchemaName

    public void setSchemaName(String schemaName)

  Sets the schemaName.

  Parameters:
    `schemaName` - The schemaName to set

### setWebAppName

    public void setWebAppName(String name)

### toString

    public String toString()

### unescapeQuotes

    public static String unescapeQuotes(String source)

  Remove the unicode characters from the string and replace them with real quotes

  Parameters:
    `source` -
  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved